---
title: "Lookups API"
canonical: https://documentation.maventa.com/api-specification/rest-api/lookups-api/
---

The Lookups API lets you check whether a recipient can receive e-invoices before sending. Look up recipients by e-invoice address, business ID, or consumer details to determine which delivery routes are available. This helps you decide the best delivery channel and avoid failed deliveries.

For more on how recipient lookup fits into the invoice sending flow, see the [invoice sending integration guide](https://documentation.maventa.com/integration-guide/invoice-sending/invoice-sending/).

## API endpoints

### GET /v1/lookup/endpoints


Fetch sending options for company bid

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| business_ids | query | array[string] | yes | Business ids. Maximum number of bids: 10 |
| sending | query | array[string] | no | Types of documents sent. Possible values: invoice |
| country | query | string | no | Country in ISO 3166-1 alpha-2 format (2 letters) |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | Fetch sending options for company bid | `array[API_Entities_Endpoint]` |

### GET /v1/lookup/consumers

Lookup for consumer recipients

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| ssn | query | string | no | Social security number |
| date_of_birth | query | string | no | Date of birth of recipient for Yes2All queries. Format YYYY-MM-DD |
| phone_number | query | string | no | Phone number for Yes2All queries. International format (e.g. +4791234123) |
| email | query | string | no | Email address of recipient for Yes2All queries |
| first_name | query | string | no | First name of recipient for Yes2All queries |
| last_name | query | string | no | Last name of recipient for Yes2All queries |
| postal_code | query | string | no | Postal code of recipient for Yes2All queries |
| city | query | string | no | City/post office of recipient for Yes2All queries |
| reference_number | query | string | no | Reference number for Yes2All queries |
| efaktura_identifier | query | string | no | eFaktura ID for Yes2All queries |
| routes | query | array[string] | no | What registries to check from. Possible values:                                                 dpi,yes2all |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | Lookup for consumer recipients | `API_Entities_Consumer` |

### GET /v1/lookup/receivers


Lookup for B2B document receivers

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| network | query | array[string] | yes | Networks to search from eg. PEPPOL, INTERNAL, EXTERNAL |
| eia | query | string | no | Full Electronic Address eg: 0192:123456789 |
| bid | query | string | no | Business identifier |
| name | query | string | no | Company name |
| country | query | array[string] | no | Company country in ISO 3166-1 alpha-2 format (2 letters) |
| document_type | query | array[string] | no | Document types |
| allow_eia_variants | query | boolean | no | Allow lookup to use generated eia variations, when no hits are found using the given eia |
| page | query | integer | no | Page to fetch |
| per_page | query | integer | no | Number of items per page, values up to 100 supported |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | Lookup for B2B document receivers | `array[API_Entities_LookupEntryReceiver]` |
| 500 |  | `API_Entities_Error` |
| 503 |  | `API_Entities_Error` |


_OpenAPI spec snapshot: 2026-05-06_
